#
# spec file for package hwinfo (Version 17.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           hwinfo
BuildRequires:  doxygen flex perl-XML-Parser perl-XML-Writer udev
%ifarch %ix86 x86_64
BuildRequires:  libx86emu-devel
%endif
License:        GPLv2+
Group:          Hardware/Other
Provides:       libhd
Obsoletes:      libhd
PreReq:         /sbin/ldconfig
AutoReqProv:    on
Summary:        Hardware Library
Version:        17.0
Release:        1
Source:         hwinfo-17.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A simple program that lists results from the hardware detection
library.



%package      devel
License:        GPLv2+
Summary:        Hardware Detection Library
Group:          Development/Libraries/C and C++
Provides:       libhddev
Obsoletes:      libhddev
Requires:       %name = %version libexpat-devel perl-XML-Writer perl-XML-Parser udev wireless-tools

%description devel
This library collects information about the hardware installed on a
system.



%prep
%setup

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
  make static
  install -d -m 755 %{buildroot}%{_libdir}
  install -m 644 src/libhd.a %{buildroot}%{_libdir}
  make clean
  make LIBDIR=%{_libdir}
  make doc
  gzip -9c doc/hwinfo.8 >hwinfo.8.gz

%install
  make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
  install -d -m 755 %{buildroot}%{_mandir}/man8
  install -m 644 hwinfo.8.gz %{buildroot}%{_mandir}/man8
  mkdir -p %{buildroot}/var/lib/hardware/udi

%clean 
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/sbin/hwinfo
/usr/sbin/mk_isdnhwdb
/usr/sbin/getsysinfo
%{_libdir}/libhd.so.*
%doc README
%doc %{_mandir}/man8/hwinfo.8.gz
%dir /var/lib/hardware
%dir /var/lib/hardware/udi
%dir /usr/share/hwinfo
/usr/share/hwinfo/*

%files devel
%defattr(-,root,root)
/usr/sbin/check_hd
/usr/sbin/convert_hd
%{_libdir}/libhd.so
%{_libdir}/libhd.a
%{_libdir}/pkgconfig/hwinfo.pc
/usr/include/hd.h
%doc doc/libhd/html

%changelog
